﻿using System.Windows;

using Prism.Modularity;

namespace TestProject.Views
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 모듈 관리자
        /// </summary>
        private IModuleManager moduleManager;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow(moduleManager)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="moduleManager">모듈 관리자 인터페이스</param>
        public MainWindow(IModuleManager moduleManager)
        {
            InitializeComponent();

            this.moduleManager = moduleManager;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// M<e
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 버튼 클릭시 처리하기 - button_Click(sender, e)

        /// <summary>
        /// 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void button_Click(object sender, RoutedEventArgs e)
        {
            this.moduleManager.LoadModule("TestLibraryModule");
        }

        #endregion
    }
}